package com.softgraf.model;

import javafx.scene.control.TextField;

public class CpfCnpj {

	final public static int MAX = 16;
	
	public static void formatar(TextField campo, boolean isCpf) {
		StringBuilder sb = new StringBuilder();
		// remove caracteres não numéricos	
		campo.getText().trim().chars().forEach(c -> {
			if (c >= '0' && c <= '9')
				sb.append((char) c);
		});
		
		boolean isValido = false;
		if (isCpf){
			isValido = Cpf.validar(sb.toString());
			if (isValido)
				campo.setText(Cpf.formatar(sb.toString()));
		} else {
			isValido = Cnpj.validar(sb.toString());
			if (isValido)
				campo.setText(Cnpj.formatar(sb.toString()));
		}		

		if (!isValido)
			campo.setText("");
	}
}
